%define version 1.0
%define release 7mdk

Summary: Chinese (Big5) TTF fonts
Name: fonts-ttf-big5
Version: %{version}
Release: %{release}
Icon: fonts-ttf-big5-logo.xpm
Source0: ftp://linux.tmtc.edu.tw/pub/arphic/fonts-ttf-chinese.tar.bz2
Copyright: GPL-like (see %{_docdir}/%{name}/arphicpl.txt)
Group: System/Fonts/True type
BuildArch: noarch
BuildRoot: %{_tmppath}/fonts-ttf-chinese-root
Prereq: %{_sbindir}/chkfontpath %{_bindir}/killall

%description
Chinese (Big5 encoded) TTF Fonts donated by Arphic company.

%package -n fonts-ttf-gb2312
Summary: Chinese (GB2312) TTF fonts
Copyright: GPL-like (see /usr/share/doc/fonts-ttf-big5/arphicpl.txt)
Icon: fonts-ttf-gb2312-logo.xpm
Group: System/Fonts/True type

%description -n fonts-ttf-gb2312
Chinese (GuoBiao 2312 encoded) TTF Fonts donated by Arphic company.

%prep
%setup -n fonts-ttf-chinese
 
%build

mkdir -p big5-doc && cp arphicpl.txt big5-doc
mkdir -p gb2312-doc && cp arphicpl.txt gb2312-doc

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/big5
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/gb2312
install -m 0644 b*.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/big5
install -m 0644 g*.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/gb2312
cat fonts.dir.big5 \
	| sed 's/^\(.*\):\([^:]*\)$/\2/' \
        > $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/big5/fonts.dir
cat fonts.dir.gb2312 \
	| sed 's/^\(.*\):\([^:]*\)$/\2/' \
        > $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/gb2312/fonts.dir

ln -s /etc/X11/encodings.dir \
        $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/big5/encodings.dir
ln -s /etc/X11/encodings.dir \
        $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/gb2312/encodings.dir

echo -n "\

As these fonts are True Type catalogs and need special info in
the fonts.dir that ttmkfdir doesn't yet create automatically;
it is better you don't change it; use another directory for
your manually added fonts
" > $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/big5/README
cp $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/big5/README \
	$RPM_BUILD_ROOT%{_datadir}/fonts/ttf/gb2312

%post
if [ -x %{_sbindir}/chkfontpath ]; then
   %{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/ttf/big5
   killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
   if [ -n "$DISPLAY" ]; then
      xset fp rehash
   fi
else
   echo "you don't have a chkfontpath utility; you will need to manually"
   echo "install the fonts into your TTF enabled font server"
fi

%post -n fonts-ttf-gb2312
if [ -x %{_sbindir}/chkfontpath ]; then
   %{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/ttf/gb2312
   killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
   if [ -n "$DISPLAY" ]; then
      xset fp rehash
   fi
else
   echo "you don't have a chkfontpath utility; you will need to manually"
   echo "install the fonts into your TTF enabled font server"
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %{_sbindir}/chkfontpath ] && \
   %{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/ttf/big5
fi
killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   xset fp rehash
fi

%postun -n fonts-ttf-gb2312
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %{_sbindir}/chkfontpath ] && \
   %{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/ttf/gb2312
fi
killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   xset fp rehash
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc big5-doc/* 
%dir %{_datadir}/fonts/ttf/big5
%{_datadir}/fonts/ttf/big5/*.ttf
%{_datadir}/fonts/ttf/big5/README
%{_datadir}/fonts/ttf/big5/encodings.dir
%config %{_datadir}/fonts/ttf/big5/fonts.dir

%files -n fonts-ttf-gb2312
%defattr(0644,root,root,0755)
%doc gb2312-doc/* 
%dir %{_datadir}/fonts/ttf/gb2312
%{_datadir}/fonts/ttf/gb2312/*.ttf
%{_datadir}/fonts/ttf/gb2312/README
%{_datadir}/fonts/ttf/gb2312/encodings.dir
%config %{_datadir}/fonts/ttf/gb2312/fonts.dir

%changelog
* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-7mdk
- adapted for the xfs in XFree86 4

* Sun Aug 06 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.0-6mdk
- modified location license file --> usr/doc --> usr/share/doc
- macroszifications
- BM
- Geoff <snailtalk@linux-mandrake.com> use tmppath macro

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 1.0-5mdk
- mandrake release

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-4mdk
- fixed wrong group for -gb2312 and typo True Type -> True type

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- made %post/%postun more robust
- new Groups: naming
- removed *.tti, which are now obsolete
* Wed Jan  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-2mdk
- add a dependency on chkfontpath.

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first Mandrake version

